## packetfence 10.0.0+20200416135032+136717529+0009+v10.0.0+stretch1

=== go/Makefile ===
include ../config.mk

.PHONY: pfhttpd-sha
pfhttpd-sha:
	make NAME="pfhttpd" _pfhttpd

.PHONY: pfhttpd
pfhttpd:
	make NAME="pfhttpd" _pfhttpd

.PHONY: _pfhttpd
_pfhttpd:
	cd caddy/caddy/caddy && \
	go build && \
	cd - && \
	mv caddy/caddy/caddy/caddy ${NAME}

.PHONY: pfhttpd-race
pfhttpd-race:
	cd caddy/caddy/caddy && \
	go build -race && \
	cd - && \
	mv caddy/caddy/caddy/caddy pfhttpd-race

.PHONY: pfdhcp
pfdhcp:
	cd dhcp && \
	go build && \
	cd - && \
	mv dhcp/dhcp pfdhcp

.PHONY: pfdns
pfdns:
	cd coredns && \
	go build && \
	cd - && \
	mv coredns/coredns pfdns

.PHONY: pfstats
pfstats:
	cd stats && \
        go build && \
        cd - && \
        mv stats/stats pfstats

.PHONY: pfdetect
pfdetect:
	cd detect && \
        go build && \
        cd - && \
        mv detect/detect pfdetect

.PHONY: galera-autofix
galera-autofix:
	cd galeraautofix && \
        go build && \
        cd - && \
        mv galeraautofix/galeraautofix galera-autofix

.PHONY: pfacct
pfacct:
	cd acct && \
        go build && \
        cd - && \
        mv acct/acct pfacct



.PHONY: clean-caddy-src
clean-caddy-src:
	find caddy/ -type f -exec sed -i.bak "s'github.com/mholt/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find caddy/ -type f -exec sed -i.bak "s'github.com/caddyserver/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find caddy/caddy/ -name '*_test.go' -delete

.PHONY: go-env
go-env:
	GOVERSION=$(GOVERSION) ../addons/dev-helpers/setup-go-env.sh

.PHONY: test
test:
	/usr/local/pf/t/pfconfig-test ;\
	PFCONFIG_TESTING=y go test -count=1 ./...

.PHONY: all
all: $(GOBINARIES)

.PHONY: copy
copy:
	cp -f $(GOBINARIES) $(DESTDIR)$(SBINDIR)

.PHONY: clean
clean:
	rm -f $(GOBINARIES)

.PHONY: clean-coredns-src
clean-coredns-src:
	find coredns/ -type f -exec sed -i.bak "s'github.com/mholt/caddy'github.com/inverse-inc/packetfence/go/caddy/caddy'g" {} \; ; find . -name '*.bak' -delete
	find coredns/ -type f -exec sed -i.bak "s'github.com/coredns/coredns'github.com/inverse-inc/packetfence/go/coredns'g" {} \; ; find . -name '*.bak' -delete
	find coredns/ -name '*_test.go' -delete

=== ci/packer/Makefile ===
# All variables defined below and in config.mk can be considered as defaults
# for packer invocation. They can be override by:
# - environment variables (VAR=value make -e target)
# - command variables (make VAR=VALUE target)

include ../../config.mk

#==============================================================================
# Packer command line variables
#==============================================================================
ACTIVE_BUILDS = 'pfbuild-centos-7,pfbuild-centos-8,pfbuild-stretch,pfbuild-buster'

# workaround for https://github.com/hashicorp/packer/issues/7904
PARALLEL = false

#==============================================================================
# Targets
#==============================================================================

.PHONY: all
all: pfbuild

# Environment variables are mentioned before 'packer build' commands to
# - display their values when running in CI (be careful with secret variables)
# - avoid passing each variable on CLI when running outside CI

.PHONY: pfbuild
pfbuild:
	packer validate $@.json
	DOCKER_TAGS=$(DOCKER_TAGS) \
	GOVERSION=$(GOVERSION) \
	REGISTRY=$(REGISTRY) \
	REGISTRY_USER=$(REGISTRY_USER) \
	ANSIBLE_FORCE_COLOR=$(ANSIBLE_FORCE_COLOR) \
	ANSIBLE_CENTOS_GROUP=$(ANSIBLE_CENTOS_GROUP) \
	ANSIBLE_CENTOS7_GROUP=$(ANSIBLE_CENTOS7_GROUP) \
	ANSIBLE_CENTOS8_GROUP=$(ANSIBLE_CENTOS8_GROUP) \
	ANSIBLE_DEBIAN_GROUP=$(ANSIBLE_DEBIAN_GROUP) \
	ANSIBLE_RUBYGEMS_GROUP=$(ANSIBLE_RUBYGEMS_GROUP) \
	packer build \
	-only=$(ACTIVE_BUILDS) \
	-parallel=$(PARALLEL) $@.json

.PHONY: variables
variables:
	$(foreach var,$(.VARIABLES),$(info $(var) = $($(var))))

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#
#	$Id: 16447a023d2cdce2d16d39cf31bcde4dba600df5 $
#
######################################################################

DH_KEY_SIZE	= 2048
OPENSSL		= openssl
EXTERNAL_CA	= $(wildcard external_ca.*)

ifneq "$(EXTERNAL_CA)" ""
PARTIAL		= -partial_chain
endif

#
#  Set the passwords
#
-include passwords.mk

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: index.txt serial dh server ca client

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.der

.PHONY: server
server: server.pem server.vrfy

.PHONY: inner-server
inner-server: inner-server.pem inner-server.vrfy

.PHONY: verify
verify: server.vrfy client.vrfy

passwords.mk: server.cnf ca.cnf client.cnf
	@echo "PASSWORD_SERVER	= '$(shell grep output_password server.cnf | sed 's/.*=//;s/^ *//')'"		> $@
	@echo "PASSWORD_INNER	= '$(shell grep output_password inner-server.cnf | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "PASSWORD_CA	= '$(shell grep output_password ca.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "PASSWORD_CLIENT	= '$(shell grep output_password client.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "USER_NAME	= '$(shell grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "CA_DEFAULT_DAYS  = '$(shell grep default_days ca.cnf | sed 's/.*=//;s/^ *//')'"			>> $@

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	$(OPENSSL) dhparam -out dh -2 $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem: ca.cnf
	@[ -f index.txt ] || $(MAKE) index.txt
	@[ -f serial ] || $(MAKE) serial
	$(OPENSSL) req -new -x509 -keyout ca.key -out ca.pem \
		-days $(CA_DEFAULT_DAYS) -config ./ca.cnf
	chmod g+r ca.key

ca.der: ca.pem
	$(OPENSSL) x509 -inform PEM -outform DER -in ca.pem -out ca.der

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: server.cnf
	$(OPENSSL) req -new  -out server.csr -nodes -keyout server.key -config ./server.cnf
	chmod go+r server.key

server.crt: server.csr ca.key ca.pem
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	$(OPENSSL) pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)
	chmod g+r server.p12

server.pem: server.p12
	$(OPENSSL) pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)
	chmod g+r server.pem

.PHONY: server.vrfy
server.vrfy: ca.pem
	@$(OPENSSL) verify $(PARTIAL) -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above server
#  certificate.
#
######################################################################
client.csr client.key: client.cnf
	$(OPENSSL) req -new  -out client.csr -keyout client.key -config ./client.cnf
	chmod g+r client.key

client.crt: client.csr ca.pem ca.key
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in client.csr  -key $(PASSWORD_CA) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	$(OPENSSL) pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	chmod g+r client.p12

client.pem: client.p12
	$(OPENSSL) pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	chmod g+r client.pem
	cp client.pem $(USER_NAME).pem

.PHONY: client.vrfy
client.vrfy: ca.pem client.pem
	c_rehash .
	$(OPENSSL) verify -CApath . client.pem

######################################################################
#
#  Create a new inner-server certificate, signed by the above CA.
#
######################################################################
inner-server.csr inner-server.key: inner-server.cnf
	$(OPENSSL) req -new  -out inner-server.csr -keyout inner-server.key -config ./inner-server.cnf
	chmod g+r inner-server.key

inner-server.crt: inner-server.csr ca.key ca.pem
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in inner-server.csr  -key $(PASSWORD_CA) -out inner-server.crt -extensions xpserver_ext -extfile xpextensions -config ./inner-server.cnf

inner-server.p12: inner-server.crt
	$(OPENSSL) pkcs12 -export -in inner-server.crt -inkey inner-server.key -out inner-server.p12  -passin pass:$(PASSWORD_INNER) -passout pass:$(PASSWORD_INNER)
	chmod g+r inner-server.p12

inner-server.pem: inner-server.p12
	$(OPENSSL) pkcs12 -in inner-server.p12 -out inner-server.pem -passin pass:$(PASSWORD_INNER) -passout pass:$(PASSWORD_INNER)
	chmod g+r inner-server.pem

.PHONY: inner-server.vrfy
inner-server.vrfy: ca.pem
	@$(OPENSSL) verify $(PARTIAL) -CAfile ca.pem inner-server.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

print:
	$(OPENSSL) x509 -text -in server.crt

printca:
	$(OPENSSL) x509 -text -in ca.pem

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#	Make a target that people won't run too often.
#
destroycerts:
	rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial*  *\.0 *\.1

=== t/venom/Makefile ===
#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash

#==============================================================================
# Targets
#==============================================================================

.PHONY: all
all: install test test-config

.PHONY: install
install:
	./install-venom.sh

.PHONY: test
test:
	./venom-wrapper.sh setup
	./venom-wrapper.sh pfservers/*


# Targets for local tests
.PHONY: test-config
test-config:
	./venom-wrapper.sh setup
	VENOM_EXCLUDE_FLAGS="--exclude $(PWD)/pfservers/10_dot1x_eap_peap/99_teardown.yml" \
	./venom-wrapper.sh pfservers/*

=== debian/changelog ===
packetfence (10.0.0+20200416135032+136717529+0009+v10.0.0+stretch1) stretch; urgency=medium

  * build for v10.0.0

 -- Inverse inc. <support@inverse.ca>  Thu, 16 Apr 2020 14:14:25 +0000

packetfence (10.0.0) unstable; urgency=low

  * Version 10.0.0

 -- Inverse <info@inverse.ca>  Thu, 16 Apr 2020 11:17:00 +0100

packetfence (9.3.0) unstable; urgency=low

  * Version 9.3.0

 -- Inverse <info@inverse.ca>  Fri, 13 Jan 2020 07:34:00 +0100

=== debian/control ===
Source: packetfence
Section: net
Priority: optional
Maintainer: Inverse inc. <support@inverse.ca>
Build-Depends: debhelper (>= 7.0.50~), gettext, libparse-recdescent-perl, gcc, lsb-release, dh-systemd, libfile-fcntllock-perl, git, libipset-dev, pkg-config, nodejs (>= 12.0), jq,
 ruby, rubygems,
 quilt
Standards-Version: 3.8.4
Vcs-Git: git://github.com/inverse-inc/packetfence.git
Vcs-browser: https://github.com/inverse-inc/packetfence/
Homepage: http://www.packetfence.org/

Package: packetfence
Architecture: all
# TODO: We can probably move these in Depends since 3.5.0 (managed RADIUS feature)
Pre-Depends:  ca-certificates, 
 ca-certificates, winbind,
 packetfence-pfcmd-suid (>= ${source:Version}), packetfence-config (>= ${source:Version}),
# CAUTION: we need to require the version we want for Fingerbank and ensure we don't want anything equal or above the next major release as it can add breaking changes
 fingerbank (>= 4.2.0), fingerbank (<< 5.0.0),
 fingerbank-collector (>= 1.3.1), fingerbank-collector (<< 2.0.0),
 packetfence-redis-cache (>= ${source:Version}),
 packetfence-pfappserver-javascript (>= ${source:Version}),
 packetfence-captive-portal-javascript (>= ${source:Version}),
# wmi
 libnet-wmiclient-perl, libwmiclient1, wmi-client,
 netdata (<< 1.11),
Breaks: libdata-alias-perl
Depends: ${misc:Depends}, vlan,
 packetfence-ntlm-wrapper (>= ${source:Version}), packetfence-doc (>= ${source:Version}), packetfence-golang-daemon (>= ${source:Version}),
 openssl,
 mariadb-server (>= 10.1),
 snmp, snmptrapfmt, snmptrapd, snmp-mibs-downloader, conntrack, rsyslog,
# apache related
 apache2, apache2-utils,
 libapache2-mod-apreq2, libapache2-mod-perl2,
 libapache2-request-perl, libtie-dxhash-perl, libapache-session-perl,
 libapache-ssllookup-perl, libapache2-mod-systemd,
# freeradius
 freeradius (>= 3.0.18), freeradius-ldap,
 freeradius-mysql, freeradius-utils, freeradius-rest, freeradius-redis,
# systemd sd_notify support
 libsystemd-daemon-perl,
# binary
 make, binutils,
 samba,
 krb5-user,
 iproute,
 ipset,
 sudo,
 sscep,
 patch,
 git,
# process management
 procps,
# perl basic components
 liblist-moreutils-perl, libwww-perl, libtry-tiny-perl,
# perl uncategorized modules
 libapache-htpasswd-perl, libbit-vector-perl, libtext-csv-perl, libtext-csv-xs-perl,
 libcgi-session-serialize-yaml-perl, libtimedate-perl, libapache-dbi-perl,
 libdbd-mysql-perl, libfile-tail-perl, libnetwork-ipv4addr-perl,
 libiptables-parse-perl, libiptables-chainmgr-perl, iptables (>= 1.4.0), iptables-netflow-dkms,
 liblwp-useragent-determined-perl, 
 libnet-netmask-perl, libnet-pcap-perl, libnet-snmp-perl, libsnmp-perl, libfile-fcntllock-perl,
 libnet-telnet-cisco-perl, libparse-recdescent-perl, libnet-cisco-mse-rest-perl, perlmagick,
 libregexp-common-email-address-perl, libregexp-common-time-perl,
 libperl-critic-perl, libreadonly-xs-perl, libhtml-template-perl,
 libterm-readkey-perl, libtest-perl-critic-perl, libtest-pod-perl,
 libtest-pod-coverage-perl, libthread-pool-simple-perl,
 libuniversal-require-perl, libuniversal-exports-perl, libnet-rawip-perl,
 libcgi-session-perl, libcgi-session-driver-chi-perl (>= 1.0.3), libconfig-inifiles-perl (>= 2.88),
 libdatetime-format-dateparse-perl, libdatetime-format-rfc3339-perl, libdbi-perl,librose-db-perl,librose-db-object-perl,libdatetime-timezone-perl,
 libnet-telnet-perl, libregexp-common-perl,libhtml-formhandler-perl (= 1:0.40019-1),
 libreadonly-perl, libtemplate-perl, libtemplate-autofilter-perl, libterm-readkey-perl,
 libuniversal-require-perl, libthread-serialize-perl,
 libnet-ldap-perl, libcrypt-generatepassword-perl, libbytes-random-secure-perl, libcrypt-eksblowfish-perl, libcrypt-smbhash-perl,
 libcrypt-cbc-perl, libcrypt-le-perl, perl-doc, libcrypt-rijndael-perl,
 librrds-perl, libnetpacket-perl (>= 1.3), libcache-cache-perl, libcarp-perl,
 libload-perl, libmime-lite-tt-perl, libmime-lite-perl,
 libconfig-general-perl, libproc-processtable-perl, libperl-version-perl,
 perl-modules,libdata-swap-perl,libdata-structure-util-perl,
 liblinux-fd-perl, liblinux-inotify2-perl, libfile-touch-perl, libhash-merge-perl, libposix-atfork-perl,
 libcrypt-openssl-pkcs12-perl,libcrypt-openssl-x509-perl,libconst-fast-perl,
 libtime-period-perl (>= 1.25), libtime-piece-perl, libsereal-encoder-perl, libsereal-decoder-perl, libdata-serializer-sereal-perl (>= 1.04), libphp-serialization-perl,
 libnet-ip-perl, libdigest-hmac-perl, libcrypt-openssl-pkcs10-perl, libcrypt-openssl-rsa-perl, libfile-tempdir-perl,
 liburi-escape-xs-perl, libsql-abstract-more-perl (>= 1.28), libsql-abstract-plugin-insertmulti-perl, libio-socket-timeout-perl, liblinux-distribution-perl, libwww-twilio-api-perl,
 libpod-markdown-perl, libmojolicious-perl (>= 7.74), libmojox-log-log4perl-perl, liblingua-en-inflexion-perl,
# hard-coded to specific version because v3 broke the API and we haven't ported to it yet
# see #1313: Port our Net-Appliance-Session to the version 3 API
# http://packetfence.org/bugs/view.php?id=1313
 libnet-appliance-session-perl (>= 2.111080),
 libnet-ssh2-perl (>= 0.63),
 libnet-cli-interact-perl,
 libre-engine-re2-perl,
 libnet-interface-perl, libnet-radius-perl, libclass-xsaccessor-perl, libbsd-resource-perl,
 libparse-nessus-nbe-perl, libtest-mockdbi-perl,
 libsoap-lite-perl (>= 1.0), libnet-frame-perl, libthread-pool-perl,
 libwww-curl-perl, libposix-2008-perl, libdata-messagepack-stream-perl, libdata-messagepack-perl,
 libnet-nessus-xmlrpc-perl (>= 0.4), libnet-nessus-rest-perl (>= 0.7), libfile-slurp-perl,
 libalgorithm-combinatorics-perl,
# required for ipset
 libnetaddr-ip-perl, libfile-which-perl,
# FIXME track what requires the conveyor stuff and identify it. If we can, get rid of it.
 libthread-conveyor-monitored-perl, libthread-conveyor-perl, libthread-tie-perl,
 liberror-perl, libio-socket-inet6-perl,
 libio-interface-perl, libnet-route-perl, libnet-arp-perl,
# required by catalyst
 libcatalyst-perl (>= 5.90011), libcatalyst-modules-perl,
 libauthen-htpasswd-perl, libcatalyst-authentication-credential-http-perl, 
 libcatalyst-authentication-store-htpasswd-perl, libcatalyst-plugin-unicode-encoding-perl,
 libcatalyst-view-tt-perl (>= 0.37), libcatalyst-view-csv-perl, libhtml-formfu-perl, libjson-perl, libjson-maybexs-perl,
 libcatalyst-plugin-smarturi-perl,
 libsort-naturally-perl, libchi-perl (>=0.59), libchi-memoize-perl,
 libdata-serializer-perl,
 libchi-driver-redis-perl,
 libredis-fast-perl,
 libcache-fastmmap-perl, libterm-size-any-perl,
 libswitch-perl,
# packaging workaround (we don't require it but something in catalyst seem to do)
 libmodule-install-perl,
# i18n
 liblocale-gettext-perl, 
# logging framework
 liblog-log4perl-perl (>=1.43),
 liblog-any-perl,
 liblog-any-adapter-perl,
 liblog-any-adapter-log4perl-perl,
# oauth2
 libnet-oauth2-perl (>=0.65),
# used by Captive Portal authentication modules
 libauthen-radius-perl (>=0.24), libauthen-krb5-simple-perl,
# used by bin/pftest
 libio-interactive-perl,
# cluster
 haproxy (>= 1.8), keepalived (>= 2.0), arping,
# monitoring
 fping, python-mysqldb,
# EAP TLS
 libcrypt-smime-perl, libnumber-range-perl,
# Captive Portal Dynamic Routing
 libgraph-perl,
# SAML
 liblasso-perl,
# PaloAlto syslog SSO
 libnet-syslog-perl,
# for packaging
 lsb-release,
# wmi and nthash cache
 libscalar-list-utils-perl (>= 1.41-1),libfile-fcntllock-perl,libjson-xs-perl,libmoo-perl,libnet-dns-perl,python-twisted-bin,python-twisted-core,libconfig-inifiles-perl,
# Distribution specific
 ${packetfence:dist}
Description: PacketFence network registration / worm mitigation system
 PacketFence is an open source network access control (NAC) system.
 It can be used to effectively secure networks, from small to very large
 heterogeneous networks. PacketFence provides features such
 as
 * registration of new network devices
 * detection of abnormal network activities
 * isolation of problematic devices
 * remediation through a captive portal
 * registration-based and scheduled vulnerability scans.

Package: packetfence-doc
Architecture: all
Description: documentation for packetfence
 The package packetfence-doc contains the documentation files needed for the admin gui

Package: packetfence-test
Architecture: all
Depends: packetfence, libtest-mockmodule-perl,
 libtest-nowarnings-perl, libtest-mockobject-perl,
 libtest-exception-perl
Description: Test suite for packetfence
 The PacketFence package contains a suite of test for validate packetfence
 installation.

Package: packetfence-pfcmd-suid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: packetfence (<< 3.6.0)
Breaks: packetfence (<< 3.6.0)
Description: C wrapper that replace perl-suid dependence
 perl 5.12 dropped suidperl support (packaged as suid-perl)

Package: packetfence-ntlm-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C wrapper around the ntlm_auth utility to log authentication latency and success/failure.


Package: packetfence-remote-arp-sensor
Architecture: all
Depends: ${misc:Depends}, libfile-tail-perl, libconfig-inifiles-perl (>= 2.88),
 libio-socket-ssl-perl, libxml-parser-perl, libcrypt-ssleay-perl,
 libnet-pcap-perl, libcache-memcached-libmemcached-perl, memcached,
# FIXME track what requires the conveyor stuff and identify it. If we can, get rid of it.
 libsoap-lite-perl, libthread-conveyor-monitored-perl, libthread-conveyor-perl
Conflicts: packetfence
Description: Files needed for sending MAC and IP from ARP requeststo
 PacketFence server. 

Package: packetfence-config
Architecture: all
Depends: ${misc:Depends}, libcache-bdb-perl, liblog-fast-perl, libfile-flock-perl, lsb-release
Description: Service use to manage PacketFence configuration.

Package: packetfence-redis-cache
Architecture: all
Depends: ${misc:Depends}, redis-server, redis-tools, lsb-release
Description: Init script to manage redis server.

Package: packetfence-golang-daemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PacketFence Golang binary.
Conflicts: packetfence (<= 8.0.1)

Package: packetfence-captive-portal-javascript
Architecture: any
Depends: ${misc:Depends}
Description: PacketFence captive portal javascript
Conflicts: packetfence (<< 8.1.1)

Package: packetfence-pfappserver-javascript
Architecture: any
Depends: ${misc:Depends}
Description: PacketFence Admin javascript css
Conflicts: packetfence (<< 8.1.1)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
NAME		= pf
PREFIX		= /usr/local
INSTALL		= /usr/bin/install -c -D -m0644

# DIST = jessie or stretch or ..
DIST = $(shell lsb_release -c -s)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	#copying example files with the extention
	for i in `find * -name "*.example" ! -path 'conf/pfconfig.conf*' ! -path 'conf/redis_cache.conf*'`; do \
		$(INSTALL) $$i "$(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$(dirname $$i)/$$(basename $$i .example)"; \
	done

	# Install all except debian and t directory
	for i in `find * ! -path 'debian/*' ! -path 'debian' ! -path 't/*' ! -path 't' ! -path 'lib/pfconfig/*' ! -path 'lib/pfconfig' ! -path 'sbin/pfconfig' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * ! -path 'debian/*' ! -path 'debian' ! -path 't/*' ! -path 't' ! -path 'lib/pfconfig/*' ! -path 'lib/pfconfig' ! -path 'sbin/pfconfig' ! -path 'conf/pfconfig.conf*' ! -path 'conf/redis_cache.conf*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 't*' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence-test$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 't*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence-test$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 'lib/pfconfig*' -type d`; do \
		install -d -m0700 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * -path 'lib/pfconfig/*' ! -type d`; do \
		$(INSTALL) $$i $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/$$i; \
	done
	# generate translations
	# TODO this is duplicated in our RPM spec, we should aim to consolidate in a 'make' style step
	for TRANSLATION in de en es fr he_IL it nl pl_PL pt_BR; do \
		/usr/bin/msgfmt $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.po \
		--output-file $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.mo; \
	done
	# Install empty directories not in our tarball since the git move
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/addons
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl/acme-challenge
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/raddb/sites-enabled
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/logs
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/conf
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/ntlm_cache_users
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/var
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/redis_queue
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/redis_ntlm_cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/run
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/rrd
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/session
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/webadmin_cache
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/configfiles
	install -d -m2770 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache/configfilesdata
	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/ssl_mutex
	touch $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/var/cache_control
	#Configurator integration
	install -d -m0700 $(CURDIR)/debian/packetfence/lib/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-base.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-cluster.target $(CURDIR)/debian/packetfence/etc/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence-base.target.wants
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence.target.wants
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/systemd/system/packetfence-cluster.target.wants
	install -m0644 $(CURDIR)/debian/packetfence.slice $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/packetfence-base.slice $(CURDIR)/debian/packetfence/etc/systemd/system
	install -m0644 $(CURDIR)/debian/ifup@.service $(CURDIR)/debian/packetfence/etc/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence/etc/default
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/modprobe.d
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/modules-load.d
	install -m0644 $(CURDIR)/debian/packetfence.modprobe $(CURDIR)/debian/packetfence/etc/modprobe.d/packetfence.conf
	install -m0644 $(CURDIR)/debian/packetfence.modules-load $(CURDIR)/debian/packetfence/etc/modules-load.d/packetfence.conf

	# copy the rsyslog systemd drop in
	install -d -m0755 $(CURDIR)/debian/packetfence/etc/systemd/system/rsyslog.service.d/
	install -m0600 $(CURDIR)/packetfence.rsyslog-drop-in.service  $(CURDIR)/debian/packetfence/etc/systemd/system/rsyslog.service.d/packetfence.conf
	#Sudoer
	install -oroot -groot -d -m0750 $(CURDIR)/debian/packetfence/etc/sudoers.d
	install -oroot -groot -m0440 $(CURDIR)/debian/packetfence.sudoers $(CURDIR)/debian/packetfence/etc/sudoers.d/packetfence
	rm -fr $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/html/pfappserver/root/static/alt
	#PacketFence remote ARP sensor
	install -d -m0700 $(CURDIR)/debian/packetfence-remote-arp-sensor$(PREFIX)/$(NAME)/conf
	install -d $(CURDIR)/debian/packetfence-remote-arp-sensor$(PREFIX)/$(NAME)/var
	install -d $(CURDIR)/debian/packetfence-remote-arp-sensor$(PREFIX)/$(NAME)/var/run
	install -d $(CURDIR)/debian/packetfence-remote-arp-sensor$(PREFIX)/$(NAME)/sbin
	install -m0755 addons/pfarp_remote/sbin/pfarp_remote $(CURDIR)/debian/packetfence-remote-arp-sensor$(PREFIX)/$(NAME)/sbin
	install -m0600 addons/pfarp_remote/conf/pfarp_remote.conf $(CURDIR)/debian/packetfence-remote-arp-sensor$(PREFIX)/$(NAME)/conf
	#PacketFence pfcmd suid
	install -d -m0755 $(CURDIR)/debian/packetfence-pfcmd-suid$(PREFIX)/$(NAME)/bin
	gcc src/pfcmd.c -o $(CURDIR)/debian/packetfence-pfcmd-suid$(PREFIX)/$(NAME)/bin/pfcmd
	# ntlm-wrapper
	install -d -m0755 $(CURDIR)/debian/packetfence-ntlm-wrapper$(PREFIX)/$(NAME)/bin
	make bin/ntlm_auth_wrapper
	mv bin/ntlm_auth_wrapper $(CURDIR)/debian/packetfence-ntlm-wrapper$(PREFIX)/$(NAME)/bin
	# packetfence-config
	install -d $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/sbin
	install -d -m0700 $(CURDIR)/debian/packetfence-config/lib/systemd/system
	install -d -m0700 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/conf
	install -d -m2770 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/var/cache/pfconfig
	install -m0755 sbin/pfconfig $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/sbin
	install -m0600 conf/pfconfig.conf.example $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/conf/pfconfig.conf
	# packetfence-redis-cache

## packetfence 10.1.0+20200617132524+157294356+0009+v10.1.0+stretch1

=== Makefile ===
include config.mk
DOCBOOK_XSL := /usr/share/xml/docbook/stylesheet/docbook-xsl
UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
	DOCBOOK_XSL := /opt/local/share/xsl/docbook-xsl
else ifneq ("$(wildcard /etc/redhat-release)","")
	DOCBOOK_XSL := /usr/share/sgml/docbook/xsl-stylesheets
endif

all:
	@echo "Please chose which documentation to build:"
	@echo ""
	@echo " 'pdf' will build all guides using the PDF format"
	@echo " 'docs/PacketFence_Installation_Guide.pdf' will build the Installation guide in PDF"
	@echo " 'docs/PacketFence_Clustering_Guide.pdf' will build the Clustering guide in PDF"
	@echo " 'docs/PacketFence_Developers_Guide.pdf' will build the Developers guide in PDF"
	@echo " 'docs/PacketFence_Network_Devices_Configuration_Guide.pdf' will build the Network Devices Configuration guide in PDF"
	@echo " 'docs/PacketFence_Upgrade_Guide.pdf' will build the Upgrade guide in PDF"

DOCINFO_XMLS := $(notdir $(wildcard docs/PacketFence_*-docinfo.xml))
ASCIIDOCS := $(patsubst %-docinfo.xml, %.asciidoc, $(DOCINFO_XMLS))
PDFS = $(patsubst %.asciidoc,docs/%.pdf, $(ASCIIDOCS))

docs/docbook/xsl/titlepage-fo.xsl: docs/docbook/xsl/titlepage-fo.xml
	xsltproc \
		-o docs/docbook/xsl/titlepage-fo.xsl \
		$(DOCBOOK_XSL)/template/titlepage.xsl \
		docs/docbook/xsl/titlepage-fo.xml

docs/docbook/xsl/import-fo.xsl:
	@echo "<?xml version='1.0'?> \
	<xsl:stylesheet   \
	  xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" \
	  xmlns:fo=\"http://www.w3.org/1999/XSL/Format\" \
	  version=\"1.0\"> \
	  <xsl:import href=\"${DOCBOOK_XSL}/fo/docbook.xsl\"/> \
	</xsl:stylesheet>" \
	> docs/docbook/xsl/import-fo.xsl

docs/docbook/%.docbook: docs/%.asciidoc
	asciidoc \
		-a docinfo2 \
		-b docbook \
		-d book \
		-f docs/docbook/docbook45.conf \
		-o $@ $<

docs/%.fo: docs/docbook/%.docbook docs/docbook/xsl/titlepage-fo.xsl docs/docbook/xsl/import-fo.xsl
	xsltproc \
		-o $@ \
		docs/docbook/xsl/packetfence-fo.xsl \
		$<

docs/%.pdf: docs/%.fo
	fop \
		-c docs/fonts/fop-config.xml \
		$< -pdf $@

.PHONY: pdf

pdf: $(PDFS)

HTML = $(patsubst %.asciidoc,docs/html/%.html, $(ASCIIDOCS))

docs/html/%.html: docs/%.asciidoc
	asciidoctor \
		-D docs/html \
		-n \
		-r ./docs/html/asciidoctor-html.rb \
		-a imagesdir=../images \
		-a stylesdir=../html/pfappserver/root/static.alt/dist/css \
		-a stylesheet=$(notdir $(wildcard ./html/pfappserver/root/static.alt/dist/css/app*.css)) \
		$<

html/pfappserver/root/static/doc:
	make html
	mkdir html/pfappserver/root/static/doc
	mkdir html/pfappserver/root/static/images
	cp -a docs/html/* html/pfappserver/root/static/doc
	cp -a docs/images/* html/pfappserver/root/static/images

docs/html/index.js: $(HTML)
	find $$(dirname "$@") -type f  -iname  '*.html' -and -not -iname '*template*' -printf "{\"name\":\"%f\", \"size\":%s, \"last_modifed\" : %T@}\n" | jq -s '{ items: [ .[] |  {name, size, last_modifed : (.last_modifed*1000 | floor)} ] }' > $@

.PHONY: images

images:
	@echo "install images dir and all subdirectories"
	for subdir in `find docs/images/* -type d -printf "%f\n"` ; do \
		install -d -m0755 $(DESTDIR)/usr/local/pf/html/pfappserver/root/static/images/$$subdir ; \
		for img in `find docs/images/$$subdir -type f`; do \
			install -m0644 $$img $(DESTDIR)/usr/local/pf/html/pfappserver/root/static/images/$$subdir ; \
		done \
	done
	@echo "install only images at depth0 in images/ directory"
	for img in `find docs/images/* -maxdepth 0 -type f`; do \
		install -m0644 $$img $(DESTDIR)/usr/local/pf/html/pfappserver/root/static/images/ ; \
	done

.PHONY: html

html: $(HTML) docs/html/index.js

pfcmd.help:
	/usr/local/pf/bin/pfcmd help > docs/pfcmd.help

.PHONY: configurations

configurations: SHELL:=/bin/bash
configurations:
	find -type f -name '*.example' -print0 | while read -d $$'\0' file; do cp -n $$file "$$(dirname $$file)/$$(basename $$file .example)"; done
	touch /usr/local/pf/conf/pf.conf

.PHONY: configurations_force

configurations_hard: SHELL:=/bin/bash
configurations_hard:
	find -type f -name '*.example' -print0 | while read -d $$'\0' file; do cp $$file "$$(dirname $$file)/$$(basename $$file .example)"; done
	touch /usr/local/pf/conf/pf.conf

# server certs and keys
# the | in the prerequisites ensure the target is not created if it already exists
# see https://www.gnu.org/software/make/manual/make.html#Prerequisite-Types
conf/ssl/server.pem: | conf/ssl/server.key conf/ssl/server.crt conf/ssl/server.pem 
	cat conf/ssl/server.crt conf/ssl/server.key > conf/ssl/server.pem

conf/ssl/server.crt: | conf/ssl/server.crt
	openssl req -new -x509 -days 365 \
	-out /usr/local/pf/conf/ssl/server.crt \
	-key /usr/local/pf/conf/ssl/server.key \
	-config /usr/local/pf/conf/openssl.cnf

conf/ssl/server.key: | conf/ssl/server.key
	openssl genrsa -out /usr/local/pf/conf/ssl/server.key 2048

conf/local_secret:
	date +%s | sha256sum | base64 | head -c 32 > /usr/local/pf/conf/local_secret

conf/unified_api_system_pass:
	date +%s | sha256sum | base64 | head -c 32 > /usr/local/pf/conf/unified_api_system_pass

bin/pfcmd: src/pfcmd.c
	$(CC) -O2 -g -std=c99  -Wall $< -o $@

bin/ntlm_auth_wrapper: src/ntlm_auth_wrap.c
	$(CC) -g -std=c99 -Wall $< -o $@

.PHONY: permissions

/etc/sudoers.d/packetfence.sudoers: packetfence.sudoers
	cp packetfence.sudoers /etc/sudoers.d/packetfence

.PHONY: sudo

sudo: /etc/sudoers.d/packetfence.sudoers


permissions: bin/pfcmd
	./bin/pfcmd fixpermissions

raddb/certs/server.crt:
	cd raddb/certs; make

.PHONY: raddb-sites-enabled

raddb/sites-enabled:
	mkdir raddb/sites-enabled
	cd raddb/sites-enabled;\
	for f in packetfence packetfence-tunnel dynamic-clients status;\
		do ln -s ../sites-available/$$f $$f;\
	done

.PHONY: translation

translation:
	for TRANSLATION in de en es fr he_IL it nl pl_PL pt_BR; do\
		/usr/bin/msgfmt conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.po\
		  --output-file conf/locale/$$TRANSLATION/LC_MESSAGES/packetfence.mo;\
	done

.PHONY: mysql-schema

mysql-schema:
	ln -f -s /usr/local/pf/db/pf-schema-X.Y.Z.sql /usr/local/pf/db/pf-schema.sql;

.PHONY: chown_pf

chown_pf:
	chown -R pf:pf *

.PHONY: fingerbank

fingerbank:
	rm -f /usr/local/pf/lib/fingerbank
	ln -s /usr/local/fingerbank/lib/fingerbank /usr/local/pf/lib/fingerbank \

.PHONY: systemd

systemd:
	cp /usr/local/pf/conf/systemd/packetfence* /usr/lib/systemd/system/
	systemctl daemon-reload

.PHONY: pf-dal

pf-dal:
	perl /usr/local/pf/addons/dev-helpers/bin/generator-data-access-layer.pl

devel: configurations conf/ssl/server.key conf/ssl/server.crt conf/local_secret bin/pfcmd raddb/certs/server.crt sudo translation mysql-schema raddb/sites-enabled fingerbank chown_pf permissions bin/ntlm_auth_wrapper conf/unified_api_system_pass

test:
	cd t && ./smoke.t

.PHONY: html_install

# install -D will automatically create target directories
# $$file in destination of install command contain relative path
html_install:
	@echo "create directories under $(DESTDIR)$(HTMLDIR)"
	install -d -m0755 $(DESTDIR)$(HTML_PARKINGDIR)
	install -d -m0755 $(DESTDIR)$(HTML_COMMONDIR)
	install -d -m0755 $(DESTDIR)$(HTML_CPDIR)
	install -d -m0755 $(DESTDIR)$(HTML_PFAPPDIR)

	@echo "install $(SRC_HTML_PARKINGDIR) files"
	for file in $(parking_files); do \
            install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_COMMONDIR) dirs and files"
	for file in $(common_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_CPDIR) dirs and files"
	for file in $(cp_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR) without static and static.alt dir"
	for file in $(pfapp_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR_STATIC) dirs and files"
	for file in $(pfapp_static_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install $(SRC_HTML_PFAPPDIR_ALT) dirs and files"
	for file in $(pfapp_alt_files); do \
	    install -v -m 0644 $$file -D $(DESTDIR)$(PF_PREFIX)/$$file ; \
	done

	@echo "install symlinks"
	for link in $(symlink_files); do \
	    cp -v --no-dereference $$link $(DESTDIR)$(PF_PREFIX)/$$link ; \
	done

.PHONY: conf/git_commit_id
conf/git_commit_id:
	echo $$CI_COMMIT_SHA > $@

=== go/Makefile ===
--- 
+++ 
@@ -64,7 +64,26 @@
         cd - && \
         mv acct/acct pfacct
 
+.PHONY: radius-tester
+radius-tester:
+	cd acct-tester/radius-tester && \
+	go build && \
+	cd - && \
+	mv acct-tester/radius-tester/radius-tester radius-tester
 
+.PHONY: pfcertmanager
+pfcertmanager:
+	cd certmanager && \
+        go build && \
+        cd - && \
+        mv certmanager/certmanager pfcertmanager
+
+.PHONY: db-tester
+db-tester:
+	cd acct-tester/db-tester && \
+	go build && \
+	cd - && \
+	mv acct-tester/db-tester/db-tester db-tester
 
 .PHONY: clean-caddy-src
 clean-caddy-src:

=== t/venom/Makefile ===
#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash
PFSERVERS_DIR=pfservers

#==============================================================================
# Targets
#==============================================================================
.PHONY: install
install:
	./install-venom.sh

# test is the entrypoint: all test suites should be referenced as target dependency
# if setup is a dependency to test target, putting setup as a dependency to other
# targets doesn't cause a recall
.PHONY: test
test: setup global_config dot1x_eap_peap backup_db_and_restore global_teardown

.PHONY: setup
setup:
	./venom-wrapper.sh setup

# teardown is done at end of all test suites: all things configured here have no impact
.PHONY: global_config
global_config:
	./venom-wrapper.sh $(PFSERVERS_DIR)/global_config

.PHONY: dot1x_eap_peap
dot1x_eap_peap: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_peap
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_peap/teardown

.PHONY: backup_db_and_restore
backup_db_and_restore: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/backup_db_and_restore
	./venom-wrapper.sh $(PFSERVERS_DIR)/backup_db_and_restore/teardown

.PHONY: global_teardown
global_teardown: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/global_teardown

# Targets for local tests
.PHONY: dot1x_eap_peap_no_teardown
dot1x_eap_peap_no_teardown: setup global_config
	./venom-wrapper.sh $(PFSERVERS_DIR)/dot1x_eap_peap

.PHONY: backup_db_and_restore_no_teardown
backup_db_and_restore_no_teardown: setup
	./venom-wrapper.sh $(PFSERVERS_DIR)/backup_db_and_restore

=== ci/lib/test/Makefile ===
include ../../../config.mk

#==============================================================================
# Specific variables
#==============================================================================
SHELL=/bin/bash

#==============================================================================
# Targets
#==============================================================================


# Using following targets requires artifact of a "pages" stage
# it means a "public" dir unzipped in PF root

.PHONY: all
all: test-pfcen7dev-dev test-pfdeb9dev-dev test-pfcen7dev-release test-pfdeb9dev-release

### Targets used in pipeline
.PHONY: test
test: clean
	./vagrant-wrapper.sh run

.PHONY: clean
clean:
	./vagrant-wrapper.sh teardown

### Targets used for local tests
# test
.PHONY: test-pfcen7dev-dev
test-pfcen7dev-dev:
	make PF_VM_NAME=pfcen7dev \
	PERL_UNIT_TESTS=yes \
	GOLANG_UNIT_TESTS=yes \
	test

.PHONY: test-pfdeb9dev-dev
test-pfdeb9dev-dev:
	make PF_VM_NAME=pfdeb9dev \
	PERL_UNIT_TESTS=no \
	GOLANG_UNIT_TESTS=yes \
	test

.PHONY: test-pfcen7dev-release
test-pfcen7dev-release:
	make PF_VM_NAME=pfcen7dev \
	CI_COMMIT_TAG=vX.Y.Z \
	test

.PHONY: test-pfdeb9dev-release
test-pfdeb9dev-release:
	make PF_VM_NAME=pfdeb9dev \
	CI_COMMIT_TAG=vX.Y.Z \
	test

.PHONY: test-int-pfcen7dev-dev
test-int-pfcen7dev-dev:
	make PF_VM_NAME=pfcen7dev \
	INT_TEST_VM_NAMES='ad switch01 node01' \
	PERL_UNIT_TESTS=yes \
	GOLANG_UNIT_TESTS=yes \
	INTEGRATION_TESTS=yes \
	test

.PHONY: test-int-pfdeb9dev-dev
test-int-pfdeb9dev-dev:
	make PF_VM_NAME=pfdeb9dev \
	INT_TEST_VM_NAMES='ad switch01 node01' \
	PERL_UNIT_TESTS=no \
	GOLANG_UNIT_TESTS=yes \
	INTEGRATION_TESTS=yes \
	test

=== ci/packer/zen/Makefile ===
#==============================================================================
# Specific variables
#==============================================================================
PF_VERSION=$(CI_COMMIT_REF_NAME)
VM_NAME=$(PKR_VAR_vm_name)
RESULT_DIR=results
# PKR_VAR_myvar environment variable is read by Packer to set myvar in Packer 
PKR_VAR_vm_name=PacketFence-ZEN
PKR_VAR_output_vbox_directory=$(RESULT_DIR)/virtualbox
PKR_VAR_output_vmware_directory=$(RESULT_DIR)/vmware

#==============================================================================
# Targets
#==============================================================================
.PHONY: zen
zen:
	PKR_VAR_vm_name=$(PKR_VAR_vm_name) \
	PKR_VAR_output_vbox_directory=$(PKR_VAR_output_vbox_directory) \
	PKR_VAR_output_vmware_directory=$(PKR_VAR_output_vmware_directory) \
	packer build -only="virtualbox-iso.*" .
	PF_VERSION=$(PF_VERSION) \
	VBOX_RESULT_DIR=$(PKR_VAR_output_vbox_directory) \
	VMWARE_RESULT_DIR=$(PKR_VAR_output_vmware_directory) \
	VM_NAME=$(VM_NAME) \
	./build-and-upload.sh

.PHONY: clean
clean:
	rm -rf $(RESULT_DIR)

.PHONY: clean_cache
clean_cache:
	rm -rf packer_cache

.PHONY: zen-release
zen-release:
	make \
	PKR_VAR_pf_repo=packetfence \
	PKR_VAR_pf_package=packetfence \
	PKR_VAR_pf_branch=stable \
	zen

.PHONY: zen-devel
zen-devel:
	make \
	PKR_VAR_pf_repo=packetfence-devel \
	PKR_VAR_pf_package=packetfence \
	PKR_VAR_pf_branch=devel \
	zen \

#==============================================================================
# Targets used for local tests
#==============================================================================
.PHONY: zen-test
zen-test:
	make \
	PF_VERSION=devel \
	zen-devel \

=== html/pfappserver/root/static.alt/Makefile ===
FILES = dist/index.html dist/css/* dist/js/* dist/js/*

.PHONY: all vendor dev dist

all:
	@echo "Use 'make vendor' to update external libraries, 'make dev' to generate the static JS/CSS files and 'make dist' to commit the distribution version."

vendor:
	npm install

dev:
	npm run build

dist:
	npm run build
	git add -f $(FILES)
	@if ! git diff --cached --quiet --exit-code; then \
		git add --update dist; \
		git commit -m "(web admin) Update generated files"; \
	else \
		echo "Nothing to commit; skipping git-commit"; \
	fi


light-dist:
	npm run build

=== debian/changelog ===
packetfence (10.1.0+20200617132524+157294356+0009+v10.1.0+stretch1) stretch; urgency=medium

  * build for v10.1.0

 -- Inverse inc. <support@inverse.ca>  Wed, 17 Jun 2020 16:32:11 +0000

packetfence (10.1.0) unstable; urgency=low

  * Version 10.1.0

 -- Inverse <info@inverse.ca>  Wed, 17 Jun 2020 11:17:00 +0100

packetfence (10.0.0-1) unstable; urgency=low

  * Version 10.0.0

 -- Inverse <info@inverse.ca>  Thu, 16 Apr 2020 11:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  packetfence-pfcmd-suid (>= ${source:Version}), packetfence-config (>= ${source:Version}),
 # CAUTION: we need to require the version we want for Fingerbank and ensure we don't want anything equal or above the next major release as it can add breaking changes
  fingerbank (>= 4.2.0), fingerbank (<< 5.0.0),
- fingerbank-collector (>= 1.3.1), fingerbank-collector (<< 2.0.0),
+ fingerbank-collector (>= 1.3.4), fingerbank-collector (<< 2.0.0),
  packetfence-redis-cache (>= ${source:Version}),
  packetfence-pfappserver-javascript (>= ${source:Version}),
  packetfence-captive-portal-javascript (>= ${source:Version}),
@@ -37,7 +37,7 @@
  libapache2-request-perl, libtie-dxhash-perl, libapache-session-perl,
  libapache-ssllookup-perl, libapache2-mod-systemd,
 # freeradius
- freeradius (>= 3.0.18), freeradius-ldap,
+ freeradius (>= 3.0.21), freeradius-ldap,
  freeradius-mysql, freeradius-utils, freeradius-rest, freeradius-redis,
 # systemd sd_notify support
  libsystemd-daemon-perl,
@@ -61,6 +61,7 @@
  libdbd-mysql-perl, libfile-tail-perl, libnetwork-ipv4addr-perl,
  libiptables-parse-perl, libiptables-chainmgr-perl, iptables (>= 1.4.0), iptables-netflow-dkms,
  liblwp-useragent-determined-perl, 
+ liblwp-protocol-connect-perl,
  libnet-netmask-perl, libnet-pcap-perl, libnet-snmp-perl, libsnmp-perl, libfile-fcntllock-perl,
  libnet-telnet-cisco-perl, libparse-recdescent-perl, libnet-cisco-mse-rest-perl, perlmagick,
  libregexp-common-email-address-perl, libregexp-common-time-perl,
@@ -147,6 +148,8 @@
  lsb-release,
 # wmi and nthash cache
  libscalar-list-utils-perl (>= 1.41-1),libfile-fcntllock-perl,libjson-xs-perl,libmoo-perl,libnet-dns-perl,python-twisted-bin,python-twisted-core,libconfig-inifiles-perl,
+# fuse
+ fuse,
 # Distribution specific
  ${packetfence:dist}
 Description: PacketFence network registration / worm mitigation system

=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,7 @@
 	done
 	# Install empty directories not in our tarball since the git move
 	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/addons
+	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/certmanager
 	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl
 	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/conf/ssl/acme-challenge
 	install -d -m0700 $(CURDIR)/debian/packetfence$(PREFIX)/$(NAME)/raddb/sites-enabled
@@ -140,5 +141,3 @@
 	install -d -m0700 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/conf
 	install -d -m2770 $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/var/cache/pfconfig
 	install -m0755 sbin/pfconfig $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/sbin
-	install -m0600 conf/pfconfig.conf.example $(CURDIR)/debian/packetfence-config$(PREFIX)/$(NAME)/conf/pfconfig.conf
-	# packetfence-redis-cache
